> For the complete documentation index, see [llms.txt](https://docs.i3d.net/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.i3d.net/api-references/general/slack-setting-1.md).

# Slack Setting

List all the Slack settings endpoints

## GET /v3/slackSetting

> Get the list of all your slack settings

```json
{"openapi":"3.0.1","info":{"title":"i3D.net Endpoints","version":"3.0.0"},"tags":[{"name":"SlackSetting","description":"List all the Slack settings endpoints"}],"servers":[{"url":"https://api.i3d.net"}],"security":[{"ApiKey":[]}],"components":{"securitySchemes":{"ApiKey":{"type":"apiKey","name":"PRIVATE-TOKEN","in":"header"}},"schemas":{"SlackSetting":{"type":"object","required":["id","name","webHookUrl","channel","userName"],"properties":{"id":{"type":"string","format":"","description":"The ID of the slack setting","readOnly":true},"name":{"type":"string","format":"","description":"The slack setting name"},"webHookUrl":{"type":"string","format":"","description":"The slack setting web hook (https://hooks.slack.com/services/TXXXXXXXX/BXXXXXXXX/xxxxxxxxxxxxxxxxxxxxxxxx)"},"channel":{"type":"string","format":"","description":"The slack setting channel name"},"userName":{"type":"string","format":"","description":"The slack setting channel username"}},"additionalProperties":false},"Error":{"type":"object","required":["errorCode","errorMessage","errors"],"properties":{"errorCode":{"type":"integer","format":"integer","description":"Error code"},"errorMessage":{"type":"string","format":"","description":"Error message"},"errors":{"type":"array","items":{"$ref":"#/components/schemas/ErrorDetails"},"description":"Error details"}},"additionalProperties":false},"ErrorDetails":{"type":"object","required":["property","message"],"properties":{"property":{"type":"string","format":"","description":"Property in which there is an error"},"message":{"type":"string","format":"","description":"Error message"}},"additionalProperties":false}}},"paths":{"/v3/slackSetting":{"get":{"tags":["SlackSetting"],"summary":"Get the list of all your slack settings","operationId":"getSlackSettings","responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/SlackSetting"}}}}},"403":{"description":"Invalid credentials"},"500":{"description":"Internal Server Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}}}}}}}
```

## POST /v3/slackSetting

> Create a slack setting

```json
{"openapi":"3.0.1","info":{"title":"i3D.net Endpoints","version":"3.0.0"},"tags":[{"name":"SlackSetting","description":"List all the Slack settings endpoints"}],"servers":[{"url":"https://api.i3d.net"}],"security":[{"ApiKey":[]}],"components":{"securitySchemes":{"ApiKey":{"type":"apiKey","name":"PRIVATE-TOKEN","in":"header"}},"schemas":{"SlackSetting":{"type":"object","required":["id","name","webHookUrl","channel","userName"],"properties":{"id":{"type":"string","format":"","description":"The ID of the slack setting","readOnly":true},"name":{"type":"string","format":"","description":"The slack setting name"},"webHookUrl":{"type":"string","format":"","description":"The slack setting web hook (https://hooks.slack.com/services/TXXXXXXXX/BXXXXXXXX/xxxxxxxxxxxxxxxxxxxxxxxx)"},"channel":{"type":"string","format":"","description":"The slack setting channel name"},"userName":{"type":"string","format":"","description":"The slack setting channel username"}},"additionalProperties":false},"Error":{"type":"object","required":["errorCode","errorMessage","errors"],"properties":{"errorCode":{"type":"integer","format":"integer","description":"Error code"},"errorMessage":{"type":"string","format":"","description":"Error message"},"errors":{"type":"array","items":{"$ref":"#/components/schemas/ErrorDetails"},"description":"Error details"}},"additionalProperties":false},"ErrorDetails":{"type":"object","required":["property","message"],"properties":{"property":{"type":"string","format":"","description":"Property in which there is an error"},"message":{"type":"string","format":"","description":"Error message"}},"additionalProperties":false}}},"paths":{"/v3/slackSetting":{"post":{"tags":["SlackSetting"],"summary":"Create a slack setting","operationId":"createSlackSetting","requestBody":{"description":"","content":{"application/json":{"schema":{"$ref":"#/components/schemas/SlackSetting"}}},"required":true},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/SlackSetting"}}}}},"403":{"description":"Invalid credentials"},"422":{"description":"Unprocessable Entity"},"500":{"description":"Internal Server Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}}}}}}}
```

## GET /v3/slackSetting/{slackSettingId}

> Get a single slack setting

```json
{"openapi":"3.0.1","info":{"title":"i3D.net Endpoints","version":"3.0.0"},"tags":[{"name":"SlackSetting","description":"List all the Slack settings endpoints"}],"servers":[{"url":"https://api.i3d.net"}],"security":[{"ApiKey":[]}],"components":{"securitySchemes":{"ApiKey":{"type":"apiKey","name":"PRIVATE-TOKEN","in":"header"}},"schemas":{"SlackSetting":{"type":"object","required":["id","name","webHookUrl","channel","userName"],"properties":{"id":{"type":"string","format":"","description":"The ID of the slack setting","readOnly":true},"name":{"type":"string","format":"","description":"The slack setting name"},"webHookUrl":{"type":"string","format":"","description":"The slack setting web hook (https://hooks.slack.com/services/TXXXXXXXX/BXXXXXXXX/xxxxxxxxxxxxxxxxxxxxxxxx)"},"channel":{"type":"string","format":"","description":"The slack setting channel name"},"userName":{"type":"string","format":"","description":"The slack setting channel username"}},"additionalProperties":false},"Error":{"type":"object","required":["errorCode","errorMessage","errors"],"properties":{"errorCode":{"type":"integer","format":"integer","description":"Error code"},"errorMessage":{"type":"string","format":"","description":"Error message"},"errors":{"type":"array","items":{"$ref":"#/components/schemas/ErrorDetails"},"description":"Error details"}},"additionalProperties":false},"ErrorDetails":{"type":"object","required":["property","message"],"properties":{"property":{"type":"string","format":"","description":"Property in which there is an error"},"message":{"type":"string","format":"","description":"Error message"}},"additionalProperties":false}}},"paths":{"/v3/slackSetting/{slackSettingId}":{"get":{"tags":["SlackSetting"],"summary":"Get a single slack setting","operationId":"getSlackSetting","parameters":[{"name":"slackSettingId","in":"path","description":"The Id of the slack setting","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/SlackSetting"}}}}},"403":{"description":"Invalid credentials"},"404":{"description":"Invalid slackSettingId"},"500":{"description":"Internal Server Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}}}}}}}
```

## PUT /v3/slackSetting/{slackSettingId}

> Update a slack setting

```json
{"openapi":"3.0.1","info":{"title":"i3D.net Endpoints","version":"3.0.0"},"tags":[{"name":"SlackSetting","description":"List all the Slack settings endpoints"}],"servers":[{"url":"https://api.i3d.net"}],"security":[{"ApiKey":[]}],"components":{"securitySchemes":{"ApiKey":{"type":"apiKey","name":"PRIVATE-TOKEN","in":"header"}},"schemas":{"SlackSetting":{"type":"object","required":["id","name","webHookUrl","channel","userName"],"properties":{"id":{"type":"string","format":"","description":"The ID of the slack setting","readOnly":true},"name":{"type":"string","format":"","description":"The slack setting name"},"webHookUrl":{"type":"string","format":"","description":"The slack setting web hook (https://hooks.slack.com/services/TXXXXXXXX/BXXXXXXXX/xxxxxxxxxxxxxxxxxxxxxxxx)"},"channel":{"type":"string","format":"","description":"The slack setting channel name"},"userName":{"type":"string","format":"","description":"The slack setting channel username"}},"additionalProperties":false},"Error":{"type":"object","required":["errorCode","errorMessage","errors"],"properties":{"errorCode":{"type":"integer","format":"integer","description":"Error code"},"errorMessage":{"type":"string","format":"","description":"Error message"},"errors":{"type":"array","items":{"$ref":"#/components/schemas/ErrorDetails"},"description":"Error details"}},"additionalProperties":false},"ErrorDetails":{"type":"object","required":["property","message"],"properties":{"property":{"type":"string","format":"","description":"Property in which there is an error"},"message":{"type":"string","format":"","description":"Error message"}},"additionalProperties":false}}},"paths":{"/v3/slackSetting/{slackSettingId}":{"put":{"tags":["SlackSetting"],"summary":"Update a slack setting","operationId":"updateSlackSetting","parameters":[{"name":"slackSettingId","in":"path","description":"The Id of the slack setting","required":true,"schema":{"type":"string"}}],"requestBody":{"description":"","content":{"application/json":{"schema":{"$ref":"#/components/schemas/SlackSetting"}}},"required":true},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/SlackSetting"}}}}},"403":{"description":"Invalid credentials"},"404":{"description":"Invalid slackSettingId"},"409":{"description":"Conflict"},"422":{"description":"Unprocessable Entity"},"500":{"description":"Internal Server Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}}}}}}}
```

## DELETE /v3/slackSetting/{slackSettingId}

> Remove a slack setting

```json
{"openapi":"3.0.1","info":{"title":"i3D.net Endpoints","version":"3.0.0"},"tags":[{"name":"SlackSetting","description":"List all the Slack settings endpoints"}],"servers":[{"url":"https://api.i3d.net"}],"security":[{"ApiKey":[]}],"components":{"securitySchemes":{"ApiKey":{"type":"apiKey","name":"PRIVATE-TOKEN","in":"header"}},"schemas":{"Error":{"type":"object","required":["errorCode","errorMessage","errors"],"properties":{"errorCode":{"type":"integer","format":"integer","description":"Error code"},"errorMessage":{"type":"string","format":"","description":"Error message"},"errors":{"type":"array","items":{"$ref":"#/components/schemas/ErrorDetails"},"description":"Error details"}},"additionalProperties":false},"ErrorDetails":{"type":"object","required":["property","message"],"properties":{"property":{"type":"string","format":"","description":"Property in which there is an error"},"message":{"type":"string","format":"","description":"Error message"}},"additionalProperties":false}}},"paths":{"/v3/slackSetting/{slackSettingId}":{"delete":{"tags":["SlackSetting"],"summary":"Remove a slack setting","operationId":"deleteSlackSetting","parameters":[{"name":"slackSettingId","in":"path","description":"The Id of the slack setting","required":true,"schema":{"type":"string"}}],"responses":{"204":{"description":"No Content"},"403":{"description":"Invalid credentials"},"404":{"description":"Invalid slackSettingId"},"500":{"description":"Internal Server Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}}}}}}}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.i3d.net/api-references/general/slack-setting-1.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
